API

Update promotion script

POST/api/crm/v2/mobile_apps_promoter_script.updatev2
operationId: mobileAppsPromoterScript.update

Updates the promotion script. If reset_screenshot=true, the app screenshot will be recreated.

Authorization

api-token + language + role

Query parameters

chain_idintegerrequired

Example: 7160

Request body application/json

object
main_frame_text_headerstring

Example: We have a mobile application

main_frame_text_bodystring

Example: Install it and get a bonus

main_frame_background_imagestringrequired

Example: https://cdn.foodsoul.test/backgrounds/promoter_script/1312e71798302424c25c538639989665.jpg

main_frame_background_colorstringrequired

Example: 7E57C2

main_frame_background_dotsboolean

Example: true

main_frame_colors_buttonsstringrequired

Example: 0D47A1

main_frame_colors_textstringrequired

Example: FFFFFF

main_frame_colors_iphonestring (MainFrameColorsIphone) required

Values:space_graysilvergold

Example: gold

reset_screenshotboolean

Create a new app screenshot

Example: true

button_positionstring (ButtonPosition) required

Values:top_righttop_leftbottom_rightbottom_left

Example: top_right

button_orientationstring (ButtonOrientation) required

Values:horizontallyvertically

Example: horizontally

button_text_first_linestring

Example: Download our

button_text_second_linestring

Example: application

button_offset_xintegerrequired

Example: 24

button_offset_yintegerrequired

Example: 24

button_colors_backgroundstringrequired

Example: 651FFF

button_colors_textstringrequired

Example: FFFFFF

small_sizeboolean

Example: true

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject